org.infinispan.schematic.internal.delta

## Class PutIfAbsentOperation.Externalizer

- java.lang.Object
- - org.infinispan.schematic.internal.SchematicExternalizer<PutIfAbsentOperation>
  - - org.infinispan.schematic.internal.delta.PutIfAbsentOperation.Externalizer

- All Implemented Interfaces:
    Serializable, org.infinispan.marshall.Externalizer<PutIfAbsentOperation>
  Enclosing class:
    PutIfAbsentOperation

      public static final class PutIfAbsentOperation.Externalizer
      extends SchematicExternalizer<PutIfAbsentOperation>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutIfAbsentOperation.Externalizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getId()`
    `Set<Class<? extends PutIfAbsentOperation>>` | `getTypeClasses()`
    `PutIfAbsentOperation` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, PutIfAbsentOperation put)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutIfAbsentOperation.Externalizer

          public PutIfAbsentOperation.Externalizer()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                         PutIfAbsentOperation put)
                           throws IOException

      Throws:
        `IOException`

    - #### readObject

          public PutIfAbsentOperation readObject(ObjectInput input)
                                          throws IOException,
                                                 ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Integer getId()

      Specified by:
        `getId` in class `SchematicExternalizer<PutIfAbsentOperation>`

    - #### getTypeClasses

          public Set<Class<? extends PutIfAbsentOperation>> getTypeClasses()

      Specified by:
        `getTypeClasses` in class `SchematicExternalizer<PutIfAbsentOperation>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.